﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace BarChart
{
   public class ChartViewModel
    {
        public ObservableCollection<Model> DataPoints { get; set; }

        public DateTime date = DateTime.Now;
        public Random random = new Random();

        private Command _refreshData;
        public Command RefreshData
        {
            get { return _refreshData ?? (_refreshData = new Command(ExecuteRefreshDataCommand)); }
        }

  
        public ChartViewModel()
        {

            DataPoints = new ObservableCollection<Model>();

            for (int i = 0; i < 10; i++)
            {
                DataPoints.Add(new Model(date, random.NextDouble()));
                date = date.AddDays(1);
            }
        }

        private void ExecuteRefreshDataCommand(object obj)
        {
            DataPoints.Clear();
            for (int i = 0; i < 10; i++)
            {
                DataPoints.Add(new Model(date, random.NextDouble()));
                date = date.AddDays(1);
            }
        }
    }

    public class Model
    {
        public DateTime TimeStamp { get; set; }
        public double YValue { get; set; }

        public Model(DateTime xValue, double Value)
        {
            TimeStamp = xValue;
            YValue = Value;
        }
    }
}
